Test a database connection
curl --request POST \
--url https://wmc.wiremockapi.cloud/v1/users/{userId}/database-connections/test \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"databaseType": "POSTGRESQL",
"host": "my-db.example.com",
"port": 5432,
"databaseName": "my-test-data",
"username": "alice",
"password": "mysecretpassword"
}
'import requests
url = "https://wmc.wiremockapi.cloud/v1/users/{userId}/database-connections/test"
payload = {
"databaseType": "POSTGRESQL",
"host": "my-db.example.com",
"port": 5432,
"databaseName": "my-test-data",
"username": "alice",
"password": "mysecretpassword"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
databaseType: 'POSTGRESQL',
host: 'my-db.example.com',
port: 5432,
databaseName: 'my-test-data',
username: 'alice',
password: 'mysecretpassword'
})
};
fetch('https://wmc.wiremockapi.cloud/v1/users/{userId}/database-connections/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcome": "SUCCESS"
}Database connections
Test a database connection
POST
/
v1
/
users
/
{userId}
/
database-connections
/
test
Test a database connection
Path Parameters
Body
application/json
The SQL flavour of the database.
Available options:
POSTGRESQL, MYSQL, SQLSERVER, ORACLE The host name or address of the database.
The port number of the database.
The name of the database.
The name of the user to connect to the database as.
The password of the user to connect to the database as.
⌘I